Redmine - Feature #19886

Raise wiki edits comments limit to 1024
2015-05-19 22:48 - Future Link Corporation pkgsrc team

Status: Closed Start date:

Priority: Low Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

See: source:/trunk/app/models/wiki_content.rb#L 25

The comments field in the wiki_content_versions table is defined as having a length of 1024 characters:

Click to expand wiki_content_versions table definition...Click to expand wiki_content_versions table definition...

mysgl> DESCRIBE wiki_content_versions;

o o +—————
| Field | Type | Null
o ————— o ————— +—————
| id | int (11) | NO

| wiki_content_id | int (11) | NO

| page_id | int (11) | NO

| author_id | int (11) | YES

| data | longblob | YES

| compression | varchar (6) | YES

| comments | varchar (1024) | YES

| updated_on | datetime | NO

| version | int (11) | NO
o o +—————
9 rows in set (0.00 sec)

Yet, user comments are truncated at 255:

Click to expand patch...Click to expand patch...

-—— app/models/wiki_content.rb.orig 2015-05-17 13:01:37.000000000 -0400

+++ app/models/wiki_content.rb

@@ -21,8 +21,8 @@
self.locking_column
belongs_to :page, :class_name =>
belongs_to :author,

'version'
'Wiki

:class_name => 'Us

- validates_presence_of :text
validates_length_of :comments,

+ wvalidates_presence_of :text, :comments

+ wvalidates_length_of :comments,

attr_protected :id

acts_as_versioned

Let's not do that. :)

Page'
er'

:maximum => 255,

tmaximum => 1024,

2015-05-19 13:40:35.285843848 -0400

rallow_nil => true

:allow_nil => false

Note: This patch (partly) makes the comment field mandatory. That might not be what you want. It would be nice to have a way to
require this field without patching the application though. :)

Related issues:

Copied from Redmine - Feature #19885: Raise time entries comments limit to 1024

2025-05-01

Closed

1/2



https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/wiki_content.rb#L25

Associated revisions

Revision 14622 - 2015-09-21 23:13 - Jean-Philippe Lang
Raises wiki edits comments limit to 1024 (#19886).

History

#1 - 2015-05-19 22:48 - Future Link Corporation pkgsrc team

- Copied from Feature #19885: Raise time entries comments limit to 1024 added

#2 - 2015-06-18 08:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

"comments" of "wiki_content_versions" is defined as 255.
source:tags/3.0.3/db/migrate/029 create_wiki_contents.rb#L19

| think you changed manually.

#3 - 2015-06-18 17:37 - Future Link Corporation pkgsrc team

Yes, you are correct. We did. Can that field be made longer by default? The length of 255 characters is rather short and doesn't allow for detailed time
entries.

#4 - 2015-07-17 18:50 - Toshi MARUYAMA
See r4402.

#5 - 2015-07-17 19:07 - Future Link Corporation pkgsrc team

The diff you referenced doesn't apply to the wiki content versions comment field.
#6 - 2015-07-18 04:49 - Toshi MARUYAMA
If you want to modify db definition, you need to make db migrate file.

e source:trunk/db/migrate/20101114115114_change_projects_name_limit.rb
e source:trunk/db/migrate/20101114115359_change_projects_identifier_limit.rb

#7 - 2015-07-20 16:53 - Toshi MARUYAMA
- Tracker changed from Patch to Feature

- Status changed from Needs feedback to New

Because there is no completed patch, | change tracker.

#8 - 2015-07-20 16:55 - Toshi MARUYAMA

- Target version set to 3.2.0

#9 - 2015-09-21 23:13 - Jean-Philippe Lang

- Subject changed from Comment field length for wiki edits is unnecessarily short to Raise wiki edits comments limit to 1024
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Limit raised to 1024 in r14622.
